Page MenuHomePhabricator

[process list] make the TRIPLE column wider
ClosedPublic

Authored by wallace on Oct 1 2019, 12:43 PM.

Details

Summary

Now that process list works better on the android platform, the arch aarch64-unknown-linux-android appears quite often.
The existing printed width of the TRIPLE column is not long enough, which doesn't look okay.
E.g.

1561   1016                    aarch64-unknown-linux-android ip6tables-restore
1999   1                       aarch64-unknown-linux-android tlc_server
2332   982                                              com.android.systemui
2378   983                                              webview_zygote

Now, after adding 6 spaces, it looks better

PID    PARENT USER       TRIPLE                         NAME
====== ====== ========== ============================== ============================
...
1561   1016              aarch64-unknown-linux-android  ip6tables-restore
1999   1                 aarch64-unknown-linux-android  tlc_server
2332   982                                              com.android.systemui
2378   983                                              webview_zygote
2448   982                                              com.sec.location.nsflp2

Diff Detail

Repository
rL LLVM

Event Timeline

wallace created this revision.Oct 1 2019, 12:43 PM
Herald added a project: Restricted Project. · View Herald TranscriptOct 1 2019, 12:43 PM

Sounds reasonable, but you'll also need to update the test in ProcessInstanceInfoTest.cpp. Maybe also change/add an entry to that test so that it includes this long android triple while you're inside?

wallace updated this revision to Diff 222921.Oct 2 2019, 3:37 PM

updated the unit test

labath accepted this revision.Oct 3 2019, 4:21 AM

cool. Thanks.

This revision is now accepted and ready to land.Oct 3 2019, 4:21 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptOct 3 2019, 2:55 PM